Welcome to the New BigPanda API Documentation
{app_key} in the path with the appKey of the target integration.curl --location 'https://integrations.bigpanda.io/configurations/alerts/oim//preprocessor' \
--header 'Authorization: Bearer {{ORG_BEARER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
"config": {
"preprocessing": [
{
"id": "string",
"order": 0,
"tags": [
"string"
],
"params": {
"delimiter": "string"
}
}
],
"map_remaining": true,
"is_array": true,
"secondary_property": [
{
"name": "string"
}
],
"map_remaining_flatten_arrays": true,
"primary_property": [
{
"name": "string"
}
],
"version": "string",
"force_lowercase": true,
"additional_attributes": [
{
"name": "string",
"source": [
"string"
]
}
],
"status": {
"default_to": "string",
"status_map": {
"warning": [
"string"
],
"acknowledged": [
"string"
],
"critical": [
"string"
],
"ok": [
"string"
],
"unknown": [
"string"
]
},
"source": [
"string"
]
},
"timestamp": {
"source": [
"string"
]
}
},
"sample_payload": "string"
}'{}